Name:		dbgl
Version:	0.97
Release:	%mkrel 1
License:	GPL 2
Packager:   	Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
URL:		https://dbgl.org/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.png
Summary:	 DBGL is a Java frontend for DOSBox, based largely upon the proven interface of D-Fend.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Requires:	dosbox
Obsoletes:	%name < %version
AutoReqProv:    no

%description

DBGL serves as a frontend / Graphical User Interface to DOSBox
(configuration). It tries to make creating DOSBox configuration
files a little easier by offering a (relatively) simple interface,
some shortcuts and a little bit of intelligence (DOSBox behavior).
Once your DOS games are configured in DBGL, its very easy to setup or
start them, or alter their configuration or associated DOSBox version.

Linux users will have to manually move existing data to DBGL's new default data location like so:
mkdir ~/.local/share/dbgl; mv ~/.dbgl/* ~/.local/share/dbgl

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}-%{version}/* %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
./%{name} 
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Name=DBGL
GenericName= DosBox GUI front end
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF



%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog

* Mon Mar 20 2023 Agent Smith <ruidobranco@yahoo.com.br> 0.97-1pclos2023
- Updated the package dbgl-0.97-1pclos2023.noarch.rpm, with latest source

* Thu Sep 01 2022 Agent Smith <ruidobranco@yahoo.com.br> 0.96-1pclos2022
- Updated the package dbgl-0.96-1pclos2022.noarch.rpm, with latest source

* Sun Jan 09 2022 Agent Smith <ruidobranco@yahoo.com.br> 0.95-1pclos2022
- Updated the package dbgl-0.95-1pclos2022.noarch.rpm, with latest source

* Mon May 03 2021 Agent Smith <ruidobranco@yahoo.com.br> 0.93-1pclos2021
- Updated the package dbgl-0.93-1pclos2020.noarch.rpm, with latest source

* Thu Jun 23 2020 Agent Smith <ruidobranco@yahoo.com.br> 0.92-1pclos2019
- Updated the package dbgl-0.92-1pclos2020.noarch.rpm, with latest source.

* Mon Mar 30 2020 Agent Smith <ruidobranco@yahoo.com.br> 0.91-1pclos2019
- Updated the package dbgl-0.91-1pclos2020.noarch.rpm, with latest source.

* Mon Jul 8 2019 Agent Smith <ruidobranco@yahoo.com.br> 0.90-1pclos2019
- Updated the package dbgl-0.90-1pclos2019.noarch.rpm, with latest source.

* Thu Sep 13 2018 Agent Smith <ruidobranco@yahoo.com.br> 0.82-1pclos2018
- Updated the package dbgl-0.82-1pclos2018.noarch.rpm, with latest source.

* Mon May 08 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.81-1pclos2017
- Updated the package dbgl-0.81-1pclos2017.noarch.rpm, with latest source.

* Fri Jan 28 2016 bb <bb> 0.80-2pclos2016
- add req dosbox

* Tue Jan 26 2016 Agent Smith <ruidobranco@yahoo.com.br> 0.80-1pclos2016
- Created the package dbgl-0.80-1pclos2016.noarch.rpm, with latest source.
